Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceDetail

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceDetail

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ServiceDetail
extends java.lang.Object
implements IDLEntity

Struct definition : ServiceDetail

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` | `service_detail` Struct member service_detail
`int` | `service_detail_type` Struct member service_detail_type

Constructor Summary
`ServiceDetail()` Default constructor
`ServiceDetail(int service_detail_type, byte[] service_detail)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_detail_type

    public int service_detail_type

  Struct member service_detail_type

### service_detail

    public byte[] service_detail

  Struct member service_detail

Constructor Detail

### ServiceDetail

    public ServiceDetail()

  Default constructor

### ServiceDetail

    public ServiceDetail(int service_detail_type,
                         byte[] service_detail)

  Constructor with fields initialization
  Parameters:
    `service_detail_type` - service_detail_type struct member
    `service_detail` - service_detail struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD